## CamelStream

CamelStream

## Synopsis

    struct              CamelStream;
    ssize_t             camel_stream_read                   (CamelStream *stream,
                                                             char *buffer,
                                                             size_t n);
    ssize_t             camel_stream_write                  (CamelStream *stream,
                                                             const char *buffer,
                                                             size_t n);
    int                 camel_stream_flush                  (CamelStream *stream);
    int                 camel_stream_close                  (CamelStream *stream);
    gboolean            camel_stream_eos                    (CamelStream *stream);
    int                 camel_stream_reset                  (CamelStream *stream);
    ssize_t             camel_stream_write_string           (CamelStream *stream,
                                                             const char *string);
    ssize_t             camel_stream_printf                 (CamelStream *stream,
                                                             const char *fmt,
                                                             ...);
    ssize_t             camel_stream_vprintf                (CamelStream *stream,
                                                             const char *fmt,
                                                             va_list ap);
    ssize_t             camel_stream_write_to_stream        (CamelStream *stream,
                                                             CamelStream *output_stream);

## Description

## Details

### struct CamelStream

    struct CamelStream {
    	CamelObject parent_object;

    	gboolean eos;
    };

### camel_stream_read ()

    ssize_t             camel_stream_read                   (CamelStream *stream,
                                                             char *buffer,
                                                             size_t n);

`stream` : |
`buffer` : |
`n` : |
Returns : |

### camel_stream_write ()

    ssize_t             camel_stream_write                  (CamelStream *stream,
                                                             const char *buffer,
                                                             size_t n);

`stream` : |
`buffer` : |
`n` : |
Returns : |

### camel_stream_flush ()

    int                 camel_stream_flush                  (CamelStream *stream);

`stream` : |
Returns : |

### camel_stream_close ()

    int                 camel_stream_close                  (CamelStream *stream);

`stream` : |
Returns : |

### camel_stream_eos ()

    gboolean            camel_stream_eos                    (CamelStream *stream);

`stream` : |
Returns : |

### camel_stream_reset ()

    int                 camel_stream_reset                  (CamelStream *stream);

`stream` : |
Returns : |

### camel_stream_write_string ()

    ssize_t             camel_stream_write_string           (CamelStream *stream,
                                                             const char *string);

`stream` : |
`string` : |
Returns : |

### camel_stream_printf ()

    ssize_t             camel_stream_printf                 (CamelStream *stream,
                                                             const char *fmt,
                                                             ...);

`stream` : |
`fmt` : |
`...` : |
Returns : |

### camel_stream_vprintf ()

    ssize_t             camel_stream_vprintf                (CamelStream *stream,
                                                             const char *fmt,
                                                             va_list ap);

`stream` : |
`fmt` : |
`ap` : |
Returns : |

### camel_stream_write_to_stream ()

    ssize_t             camel_stream_write_to_stream        (CamelStream *stream,
                                                             CamelStream *output_stream);

`stream` : |
`output_stream` : |
Returns : |